<?php // Include only
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2010 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.5.0 - Last modified 2/7/2010
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


// Disabled?
if ($cfg['use_chat'] == 'no') {
	header ('Content-Type: text/plain');
	w_exit( t('charommdisable'));
}

if ($cfg['guest_post'] == 'no' && !$flags['member']) {
	header ('Content-Type: text/plain');
	w_exit( t('memaccesschat'));
}


// Input
// $pageno


// Init
$refresh = 1;


if (w_gpc('send') == 'Send') {
	$comment = w_gpc('comment');
	$name    = w_gpc('name');
	$email   = w_gpc('email', 'email');
	$url     = w_gpc('name', 'url');

	if (strlen ($comment) > 200) {
		$comment = substr ($comment, 0, 200);
	}

	// Delete old entries (10 slots)
	$result5 = db_query ("SELECT COUNT(ChatID) FROM {$db_mem}oekakichat");
	if (intval (db_result ($result5, 0)) > $cfg['chat_max'] && $cfg['chat_max'] > 10) {
		$result = db_query ("SELECT ChatID FROM {$db_mem}oekakichat ORDER BY ChatID LIMIT 1");
		if ($result) {
			$chat_del = (int) db_result ($result, 0);
			$chat_del += 10;
			db_query ("DELETE FROM {$db_mem}oekakichat WHERE ChatID < $chat_del");
		}
	}

	if (!empty ($comment)) {
		if (!empty ($OekakiU)) {
			$result = db_query ("INSERT INTO {$db_mem}oekakichat SET usrname='$OekakiU', comment='$comment', posttime=NOW(), hostname='$hostname', IP='$address'");
		} else {
			if (!empty ($name)) {
				$result = db_query ("INSERT INTO {$db_mem}oekakichat SET usrname='Guest', comment='$comment', posttime=NOW(), hostname='$hostname', email='$email', url='$url', IP='$address', postname='$name'");
			}
		}
	}
}


// Get latest chat posts
$result5 = db_query ("SELECT ChatID FROM {$db_mem}oekakichat");
$pages = ceil (db_num_rows ($result5) / $cfg['chat_pages']);

$rsql = "SELECT * FROM {$db_mem}oekakichat ORDER BY posttime DESC LIMIT ".($pageno * $cfg['chat_pages']).', '.$cfg['chat_pages'];
$result5 = db_query ($rsql);
$rownum = db_num_rows ($result5);


// Get count of users online
$orownum = 0;
$onlinerow = 0;
$oresult = db_query ("SELECT * FROM {$db_mem}oekakichat WHERE (DATE_ADD(posttime, INTERVAL 1 MINUTE) > NOW() )");
if ($oresult) {
	$orownum = db_num_rows ($oresult);
}
$online = db_query ("SELECT onlineusr, locale FROM {$db_mem}oekakionline WHERE locale='chat'");
if ($online) {
	$onlinerow = db_num_rows ($online);
}



// Start HTML
send_html_headers();
?>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $charset;?>" />
	<meta http-equiv="Content-Language" content="<?php echo $metatag_language;?>" />
<?php if ($pageno < 1){ ?>
	<meta http-equiv="Refresh" content="15;url=chat.php" />
<?php } ?>

	<title><?php echo $cfg['op_title'];?></title>

	<link rel="stylesheet" type="text/css" href="<?php echo $cssinclude;?>" title="<?php echo $template_name;?>" />

	<script type="text/javascript" src="Poteto.js">
	</script>
</head>
<body>

	<div class="pinfotable">
		<?php
$pages_link = 'chat.php?pageno={page_link}';
echo quick_page_numbers(0, $pageno, $pages, 4, $pages_link)."\n";
?>
	</div>
	<br />


	<div class="pheader">
		<?php tt('chat_msgbox');?> (<a href="niftyusage.php" onclick="openWindow('niftyusage.php', 500, 300); return false"><?php tt('common_niftytoo');?></a>)
	</div>

	<div class="pinfotable">

		<!-- Chatbox -->
		<table style="width: 100%">
		<tr>
		<td width="75%" valign="top">
			<!-- Conversation -->
			<table width="100%">
			<tr>
			<td class="chatinfo" colspan="3">
				<strong><?php tt('chat_conversation');?></strong>
			</td>
			</tr>
<?php //

//Output rows until the value of i matches the number of rows
for ($i = 0; $i < $rownum ; $i++) {
	$row = db_fetch_array ($result5);
	$row['comment'] = trim ($row['comment']);

	// '/me' stinks (gets rid of brackets)
	if (substr ($row['comment'], 0, 3) == '/me') {
		$row['comment'] = ltrim (substr ($row['comment'], 3));
	}

?>
			<tr>
			<td class="pchatdialog" valign="top">
<?php
	// Get time
	$my_time = strtotime ($row['posttime']);
	if (time() - $my_time < 86400) {
?>
				<strong><?php echo date($datef['chat'], $my_time);?>-&nbsp;</strong>
<?php
	} else {
		echo '&nbsp;';
	}
?>
			</td>
			<td align="right" valign="top">
<?php
	if ($row['usrname'] == 'Guest') {
		// Admins can see IP/host of guests
		$my_link = w_html_chars($row['postname']);
		if ($flags['admin']) {
			$my_link = "<acronym title=\"{$row['IP']} / {$row['hostname']}\">{$my_link}</acronym>";
		}
		if (!empty ($row['email'])) {
			$my_link = "<a href=\"mailto:".urlencode($row['email'])."\">{$my_link}</a>";
		}
		echo ('				#'.$my_link.'');
	} else {
?>
				<a href="profile.php?user=<?php echo urlencode ($row['usrname']);?>" onclick="openWindow('profile.php?user=<?php echo urlencode ($row['usrname']);?>', 400, 600); return false;"><?php echo w_html_chars($row['usrname']);?></a><?php
	}

	// Now print the comment
	echo ('&gt;</td><td width="100%">'.nifty2_convert($row['comment'])."\n");
?>
			</td>
			</tr>
<?php } ?>
			</table>
			<!-- /Conversation -->
		</td>


		<td width="25%" valign="top" style="padding-left: 1%;">
			<!-- Registered -->
			<table width="100%">
			<tr>
			<td class="chatinfo">
				<strong><?php tt('word_registered');?>:</strong>
			</td>
			</tr>

			<tr>
			<td class="pchatdialog">
<?php
while ($row = db_fetch_array($online)) {
?>
			<a href="profile.php?user=<?php echo urlencode ($row['onlineusr']);?>" onclick="openWindow('profile.php?user=<?php echo urlencode ($row['onlineusr']);?>', 300, 400); return false;"><?php echo w_html_chars ($row['onlineusr']);?></a><br /><?php
}
?>
			</td>
			</tr>
			</table>
<?php
db_close();
?>
		</td>
		</tr>
		</table>


	</div>
	<!-- /Chatbox -->

	<div id="bottom"></div>

</body>
</html>